%close all;
clear all;
%Procura o ponto mais proximo ja sabendo qual o arquivo ou segmente

NomeDoArquivo = 'c://temp//a2.sig';
NomeDoArquivop = 'c://temp//a2.pos';
NomeDoArquivoout = 'c://temp//centralcontact.txt';

NPoint = 50;
NumeroDeIteracaoNoArq = 1200;

%Abri o arquivo
fid  = fopen(NomeDoArquivo,'rt');
fidp  = fopen(NomeDoArquivop,'rt');
fidout = fopen(NomeDoArquivoout,'w');

%Shaper para o sinal onde ocorreu a interacao
SizeDelay = 25;

for Iteracao=1:NumeroDeIteracaoNoArq
	count = 18*50;

	[a count] = fscanf(fid,'%f\n', count);
%	[b connt2] = fscanf(fidp, '%f %f %f', 3);
	%organizo o Dado
	for k=0:(count/50)-1
		Dado(k+1,:) = a(1+(k*50):50+(k*50))';
	end

	%Shaper para o sinal onde ocorreu a interacao	
	DadoModificado = zeros(1,NPoint);
	DadoModificado(1:SizeDelay) = Dado(8,1:SizeDelay);
	DadoModificado(SizeDelay+1:NPoint) = Dado(8,SizeDelay+1:NPoint)-Dado(8,1:NPoint-SizeDelay);
    for ponto = 1:50
        fprintf(fidout,'%f ',Dado(8,ponto));
        %fprintf(fidout,'%f ',DadoModificado(ponto));
    end
    fprintf(fidout,'\n');
end

%fecha os arquivos
fclose(fid);
fclose(fidp);
fclose(fidout);


